from credentials import *
import network
import time

address = "192.168.0.1"
netmask = "255.255.255.0"
gateway = "192.168.0.1"
dns = "192.168.0.1"


class WifiAP:
    def __init__(self):
        self.if_ap = network.WLAN(network.AP_IF)
        self.if_sta = network.WLAN(network.STA_IF)
        self.if_sta.active(False)
        self.if_ap.active(True)
        self.if_ap.ifconfig([address, netmask, gateway, dns])
        self.if_ap.config(essid=SSID, password=PASS)
        print("network config {}".format(self.if_ap.ifconfig()))

class WifiSTA:
    def __init__(self):
        self.if_ap = network.WLAN(network.AP_IF)
        self.if_sta = network.WLAN(network.STA_IF)
        self.if_ap.active(False)
        self.if_sta.active(True)
        self.if_sta.connect(SSID, PASS)
        # self.wifi_thread = threading.Thread(target=self.wifi_thread_fn)
        while not self.if_sta.isconnected():
            time.sleep(0.1)
        print("network config {}".format(self.if_sta.ifconfig()))
        # self.wifi_thread.start()

    # def wifi_thread_fn(self):
    #     while True:
    #         if not self.if_sta.isconnected():
    #             print("reconnecting...")
    #             self.if_sta.connect(SSID, PASS)
    #             while not self.if_sta.isconnected():
    #                 time.sleep(0.1)
    #             print("network config {}".format(self.if_sta.ifconfig()))
    #         else:
    #             time.sleep(0.1)